<p align="center">
  <a href="https://alexbleggi.netlify.app/hive">
    <img src=".github/assets/logo.svg?raw=true" alt="Hive UI Framework logo" width="100" height="100">
  </a>
</p>

<h3 align="center">Hive</h3>

<p align="center">
  Just another UI framework...
  <br>
  <a href="https://alexbleggi.netlify.app/hive"><strong>Documentation</strong></a>
  <br>
  <br>
  <a href="https://github.com/alexbjr369/test-2/issues/new?assignees=&labels=&template=bug_report.yml&title=bug%3A+">Report bug</a>
</p>

<p align="center">
  <a href="https://github.com/alexbjr369/test-2/blob/main/LICENSE">
    <img src="https://img.shields.io/badge/license-MIT-blue.svg" alt="Hive UI Framework is released under the MIT license." />
  </a>
  <a href="http://commitizen.github.io/cz-cli/">
    <img src="https://img.shields.io/badge/commitizen-friendly-brightgreen.svg" alt="Commitizen friendly" />
  </a>
</p>

## Table of contents

- [Installing](#installing)
- [Monorepo Usage](#monorepo-usage)

## Installing

1. Run the following command:

```bash
npx hive-ui-init
```

2. Choose which **Hive CSS framework** you wish to use in your project:

<img src=".github/assets/01-hive-cli.png?raw=true" />

3. Choose which **Hive UI framework platform** you wish to use in your project:

<img src=".github/assets/02-hive-cli.png?raw=true" />

4. If you chose **Web Components**, select now which **JavaScript framework** you are using:

<img src=".github/assets/03-hive-cli.png?raw=true" />

## Monorepo Usage

### Installing

```bash
# npm
npm install

# yarn
yarn

# pnpm
pnpm install
```

### Commiting

```bash
# npm
npm run commit

# yarn
yarn commit

# pnpm
pnpm run commit
```

### Linking Packages

```bash
# npm
npx lerna link

# yarn
yarn lerna link

# pnpm
pnpm lerna link
```

### Development

> Runs the monorepo cli in development mode.

```bash
# npm
npm start

# yarn
yarn start

# pnpm
pnpm start
```

### Production

> Runs the monorepo cli in production mode.

```bash
# npm
npm run build

# yarn
yarn build

# pnpm
pnpm run build
```

### Playground

> Runs the monorepo cli in playground mode.

```bash
# npm
npm run playground

# yarn
yarn playground

# pnpm
pnpm run playground
```

### Website

> Generates Hive website.

```bash
# npm
npm run website

# yarn
yarn website

# pnpm
pnpm run website
```

<hr/>

<a href="https://www.flaticon.com/free-icons/honey" title="honey icons">Honey icons created by Freepik - Flaticon</a>
